* Laboratorium o danych panelowych

clear
set memory 99m
set matsize 800
set more off

use "panel_data.dta"

* Robimy regresje, jak gdyby nigdy nic

reg ltrade lrgdp lpop ldist cu comcol comlang border comctry colonial ll island regional

* Robimy dane panelowe

* Definiujemy zmienna okreslajaca czas

tis year

* Definiujemy zmienna grupujaca

iis pairid

* Robimy pierwsza regresje panelowa (RE jest domyslny w STATA)

xtreg ltrade lrgdp lpop ldist 

* Widac, ze wspolczynnki sie roznia...

* Sprobujmy zreplikowac wyniki F&R

* Po pierwsze, zrobmy regresje na wszystkich zmiennych

xtreg ltrade lrgdp lpop ldist cu comcol comctry comlang colonial regional ll island 

* Zrobmy test, czy RE czy FE

* Sa na to dwa sposoby

* Pierwszy" Breusch Pagan LM test na zerowosc efektow stalych

xttest0

* Ten test odrzuca koncepcje o ich zerowosci

* Po drugie standardowy test Hausmana

xthausman

* Ten test daje takie same wyniki. 

* Wniosek: nalezy robic regresje RE. Korzystajmy wic z tej specyfikacji.

* Specyfikacj FE (gdyby bya potrzebna) uzyskuje si nastpujc komend.

xtreg ltrade lrgdp lpop ldist cu comcol comctry comlang colonial regional ll island, fe

* Wyniki sa zblizone do F&R (sa pewne rozbieznosci w probach, ktore moga tlumaczyc minimalne roznice)

* Wiemy juz, ze wystpujj efekty zwiazane z para krajow. Mozna zbadac jeszcze, czy sa roznice miedzy latami (efekty stale zwiazane z rokiem obserwacji)

xi:xtreg  ltrade cu ldist lrgdp lpop comlang regional comcol comctry colonial ll island i.year

* Mozna jeszcze sprawdzic efekty poszczegolnych krajow (a nie pary krajow, co juz uwzglednilismy uzywajac FE). UWAGA! To troche potrwa...

xi:xtreg  ltrade cu ldist lrgdp lpop comlang regional comcol comctry colonial ll island i.country1, fe

* Oooops, STATA nie daje rady nawet, przy maksymalnych ustawieniach pamieci.

************************************************************************************** 